Шаблон:Правило/styles.css

Версия от 17:08, 17 апреля 2026; Burenov (обсуждение | вклад) (Новая страница: «.rule-template { cursor: default; overflow: hidden; position: relative; margin-bottom: 0.75rem; border-radius: var(--border-radius-medium); box-shadow: 0 0 0.5rem -0.1rem, inset 0 0 0.25rem 0rem; transition-property: box-shadow; transition-duration: var(--transition-time); } .rule-template:hover { box-shadow: 0 0 0.75rem 0, inset 0 0 0.25rem 0.1rem; } .rule-template:last-child { margin-bottom: 0; } .rule-template .rule-template { fon...»)
(разн.) ← Предыдущая версия | Текущая версия (разн.) | Следующая версия → (разн.)

.rule-template {

 cursor: default;
 overflow: hidden;
 position: relative;
 margin-bottom: 0.75rem;
 border-radius: var(--border-radius-medium);
 box-shadow: 0 0 0.5rem -0.1rem, inset 0 0 0.25rem 0rem;
 transition-property: box-shadow;
 transition-duration: var(--transition-time);

}

.rule-template:hover {

 box-shadow: 0 0 0.75rem 0, inset 0 0 0.25rem 0.1rem;

}

.rule-template:last-child {

 margin-bottom: 0;

}

.rule-template .rule-template {

 font-size: 0.9em;
 margin: 0.5rem 0 0;
 box-shadow: none;
 transition: none;

}

.rule-template .rule-template:first-child {

 margin: 0.75rem 0 0.1rem;

}

.rule-title h3, .rule-title h4 {

 margin: 0;
 padding: 0;
 line-height: 1.4;

}

.rule-title h3 { font-size: 1.2em; }

.rule-number {

 display: inline-flex;
 justify-content: center;
 align-items: center;
 white-space: nowrap;
 padding: 0.33rem 0.75rem 0.15rem;
 width: 3.75em;

}

.rule-hidden {

 display: none;

}

.rule-name {

 padding: 0.33rem 0.75rem 0.15rem;

}

.rule-content {

 text-align: left;
 line-height: 1.1rem;
 padding: 0.33rem 0.5rem;

}

.rule-content ul {

 margin-top: 0.5em;

}

.rule-content li {

 padding-block: 0.25em;

}